Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 3.3.82
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.je
Class LockStats

    java.lang.Object
      com.sleepycat.je.LockStats

All Implemented Interfaces:
  Serializable

    public class LockStats

extends Object
implements Serializable

Lock statistics for a database environment.

Note that some of the lock statistics may be expensive to obtain because the lock table is unavailable while the statistics are gathered. These expensive statistics are only provided if `Environment.getLockStats` is called with a StatsConfig parameter that has been configured for "slow" stats.

See Also:
  Serialized Form

Constructor Summary
`LockStats()`

Method Summary
`int` | `getNOwners()` Total lock owners in lock table.
`int` | `getNReadLocks()` Total read locks currently held.
`long` | `getNRequests()` Total number of lock requests to date.
`int` | `getNTotalLocks()` Total locks currently in lock table.
`int` | `getNWaiters()` Total transactions waiting for locks.
`long` | `getNWaits()` Total number of lock waits to date.
`int` | `getNWriteLocks()` Total write locks currently held.
`String` | `toString()` For convenience, the LockStats class has a toString method that lists all the data fields.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LockStats

    public LockStats()

Method Detail

### getNOwners

    public int getNOwners()

  Total lock owners in lock table. Only provided when `Environment.getLockStats` is called in "slow" mode.

### getNReadLocks

    public int getNReadLocks()

  Total read locks currently held. Only provided when `Environment.getLockStats` is called in "slow" mode.

### getNTotalLocks

    public int getNTotalLocks()

  Total locks currently in lock table. Only provided when `Environment.getLockStats` is called in "slow" mode.

### getNWaiters

    public int getNWaiters()

  Total transactions waiting for locks. Only provided when `Environment.getLockStats` is called in "slow" mode.

### getNWriteLocks

    public int getNWriteLocks()

  Total write locks currently held. Only provided when `Environment.getLockStats` is called in "slow" mode.

### getNRequests

    public long getNRequests()

  Total number of lock requests to date.

### getNWaits

    public long getNWaits()

  Total number of lock waits to date.

### toString

    public String toString()

  For convenience, the LockStats class has a toString method that lists all the data fields.

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 3.3.82
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004,2008 Oracle. All rights reserved.